Bug 24489 - Не хватает публичных define'ов в include/linux/xattr.h ?
: Не хватает публичных define'ов в include/linux/xattr.h ?
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/glibc-kernheaders)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-11-02 19:28 by
Modified: 2011-07-02 02:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-11-02 19:28:39
Не собирается libcap-ng с диагностикой:

make[3]: Entering directory `/usr/src/RPM/BUILD/libcap-ng-0.6.4/src'
/bin/sh ../libtool --tag=CC   --mode=compile i586-alt-linux-gcc -DHAVE_CONFIG_H
-I. -I.. -I. -I..   -fPIC -DPIC -W -Wall -Wshadow -Wformat -Wundef
-D_GNU_SOURCE -pipe -Wall -O2 -march=i586 -mtune=i686 -c -o cap-ng.lo cap-ng.c
libtool: compile:  i586-alt-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -fPIC
-DPIC -W -Wall -Wshadow -Wformat -Wundef -D_GNU_SOURCE -pipe -Wall -O2
-march=i586 -mtune=i686 -c cap-ng.c  -fPIC -DPIC -o .libs/cap-ng.o
cap-ng.c: In function 'get_bounding_set':
cap-ng.c:227: warning: signed and unsigned type in conditional expression
cap-ng.c: In function 'capng_get_caps_fd':
cap-ng.c:325: error: 'XATTR_NAME_CAPS' undeclared (first use in this function)
cap-ng.c:325: error: (Each undeclared identifier is reported only once
cap-ng.c:325: error: for each function it appears in.)
cap-ng.c: In function 'capng_apply_caps_fd':
cap-ng.c:539: error: 'XATTR_NAME_CAPS' undeclared (first use in this function)
make[3]: *** [cap-ng.lo] Error 1
make[3]: Leaving directory `/usr/src/RPM/BUILD/libcap-ng-0.6.4/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/RPM/BUILD/libcap-ng-0.6.4/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/RPM/BUILD/libcap-ng-0.6.4'
make: *** [all] Error 2
make: Leaving directory `/usr/src/RPM/BUILD/libcap-ng-0.6.4'
error: Bad exit status from /usr/src/tmp/rpm-tmp.34470 (%build)


Расследование показало, что согласно патча
http://kerneltrap.org/mailarchive/linux-kernel/2010/4/21/4561254
XATTR_NAME_CAPS переехал из include/linux/capability.h в include/linux/xattr.h


Но в нашем include/linux/xattr.h ничего подобного нет.
------- Comment #2 From 2010-11-02 20:44:14 -------
Так оно там засунуто в #ifdef  __KERNEL__ - видимо, предполагалось, что
нормальному userspace это не нужно.
------- Comment #3 From 2010-11-02 20:53:37 -------
http://git.altlinux.org/people/kas/packages/?p=glibc-kernheaders.git;a=commit;h=af4f136056c984b0aa67feed7d3170b958370b2f

По коммиту не видно, что это сделано намерено. Посмотрю подробней.
------- Comment #4 From 2010-11-03 15:50:58 -------
http://lkml.org/lkml/2010/10/12/136

Предлагают таскать этот define с собой. Если у вас есть иные предложения по
теме, свяжитесь с апстримом.
------- Comment #5 From 2010-11-05 12:16:35 -------
Ok, апстрим обещает патч на эту тему. Как только будет -- приложу.
------- Comment #6 From 2010-11-05 14:53:09 -------
(В ответ на комментарий №5)
> Ok, апстрим обещает патч на эту тему. Как только будет -- приложу.
Вообщем-то они там сами не могут договориться -
http://lkml.org/lkml/2010/11/3/295

Вообщем сделали уже новую версию libcap-ng-0.6.5-alt1 и она нормально
собирается и уже в сизифе.
Вы были абсолютно правы, когда порекомендовали обратиться в апстрим.
Не очень понял почему REOPENED,т.к. моя проблема с libcap-ng решилась.
------- Comment #7 From 2010-11-05 15:38:20 -------
(In reply to comment #6)
> (В ответ на комментарий №5)
> Не очень понял почему REOPENED,т.к. моя проблема с libcap-ng решилась.

Пусть будет напоминалка для меня посмотреть в тот тред ;)
------- Comment #8 From 2011-07-02 02:15:29 -------
I'm not going to maintain glibc-kernheaders anymore.